umbrello: UMLRoleDialog Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
UMLRoleDialog Class Reference

`#include <umlroledialog.h>`

Inheritance diagram for UMLRoleDialog:

## Public Member Functions
| UMLRoleDialog (QWidget *parent, UMLRole *pRole)
| ~UMLRoleDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Protected Attributes
UMLRole * | m_pRole
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Private Attributes
UMLRoleProperties * | m_pRoleProps

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)

## Constructor & Destructor Documentation

## ◆ UMLRoleDialog()

UMLRoleDialog::UMLRoleDialog | ( | QWidget * | parent,
|  | UMLRole * | pRole
| ) |  |

Constructor

## ◆ ~UMLRoleDialog()

UMLRoleDialog::~UMLRoleDialog | ( |  | ) |

Deconstructor

## Member Function Documentation

## ◆ apply()

bool UMLRoleDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void UMLRoleDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## Member Data Documentation

## ◆ m_pRole

UMLRole* UMLRoleDialog::m_pRole
| protected

The role to represent.

## ◆ m_pRoleProps

UMLRoleProperties* UMLRoleDialog::m_pRoleProps
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlroledialog.h
- umbrello/dialogs/umlroledialog.cpp